installing neuron by sources on fedora core 7

Post Reply
tom_morse
Posts: 40
Joined: Wed May 18, 2005 10:23 pm
Location: Yale University School of Medicine
Contact:

installing neuron by sources on fedora core 7

Post by tom_morse » Tue Sep 04, 2007 11:23 am

When installing neuron by sources on FC7 the following packages need to be installed so that header files for x11, readline, and the Xext libraries are available for the build:

Code: Select all

yum install libXt-devel libXext-devel readline-devel
(End of of what is needed)
The below error messages are included here to help find this message.
Without the above when you build iv error messages will appear:
unable to find the X headers in iv configure:

Code: Select all

./configure --prefix=`pwd` command:
...
checking for X... no
configure: error: cannot find X11
$
and in the (iv) make:

Code: Select all

/usr/bin/ld: cannot find -lXext
When you build nrn, error messages will appear:

Code: Select all

$ make
make  all-recursive
make[1]: Entering directory `/home/morse/neuron/nrn'
Making all in src
make[2]: Entering directory `/home/morse/neuron/nrn/src'
Making all in readline
make[3]: Entering directory `/home/morse/neuron/nrn/src/readline'
if /bin/sh ../../libtool --mode=compile --tag=CC gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../.. -I../../src/oc -I../../src/oc -I../../src/parallel -I../../src/nrnjava -I../../src/nrncvode -I../../src/ivos -I../../src/sundials -I../../src/nrnpython     -g -O2 -MT readline.lo -MD -MP -MF ".deps/readline.Tpo" -c -o readline.lo readline.c; \
        then mv -f ".deps/readline.Tpo" ".deps/readline.Plo"; else rm -f ".deps/readline.Tpo"; exit 1; fi
mkdir .libs
 gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../.. -I../../src/oc -I../../src/oc -I../../src/parallel -I../../src/nrnjava -I../../src/nrncvode -I../../src/ivos -I../../src/sundials -I../../src/nrnpython -g -O2 -MT readline.lo -MD -MP -MF .deps/readline.Tpo -c readline.c  -fPIC -DPIC -o .libs/readline.o
readline.c: In function 'rl_read_key':
readline.c:819: error: invalid storage class for function 'next_macro_key'
readline.c: In function 'rl_dispatch':
readline.c:951: error: invalid storage class for function 'with_macro_input'
readline.c: At top level:
readline.c:1006: error: static declaration of 'with_macro_input' follows non-static declaration
readline.c:954: error: previous implicit declaration of 'with_macro_input' was here
readline.c:1017: error: static declaration of 'next_macro_key' follows non-static declaration
readline.c:822: error: previous implicit declaration of 'next_macro_key' was here
readline.c: In function 'rl_parse_and_bind':
readline.c:5710: error: invalid storage class for function 'substring_member_of_array'
readline.c: At top level:
readline.c:5949: error: static declaration of 'substring_member_of_array' follows non-static declaration
readline.c:5839: error: previous implicit declaration of 'substring_member_of_array' was here
make[3]: *** [readline.lo] Error 1
...
Thanks to Michael for help on this.

ttpuff

Re: installing neuron by sources on fedora core 7

Post by ttpuff » Wed Nov 14, 2007 6:36 pm

I got the same error with readline.c

<< Quote of error messages from Tom's post removed by moderator >>

ted
Site Admin
Posts: 5702
Joined: Wed May 18, 2005 4:50 pm
Location: Yale University School of Medicine
Contact:

Re: installing neuron by sources on fedora core 7

Post by ted » Wed Nov 14, 2007 10:29 pm

ttpuff wrote:I got the same error with readline.c
I have edited your message to eliminate the quote of all those error msgs that Tom cited.
Please use discretion when quoting previous messages, or else the Forum will fill up
with useless repetitions.

tom_morse
Posts: 40
Joined: Wed May 18, 2005 10:23 pm
Location: Yale University School of Medicine
Contact:

Re: installing neuron by sources on fedora core 11

Post by tom_morse » Wed Aug 12, 2009 9:31 am

I found the following yum command assisted NEURON and Interviews installation from sources on Fedora Core 11 FC11

Code: Select all

yum install libXt-devel libext-devel readline-devel gcc-c++ libXext-devel
Before I installed the above packages when I ran ./configure --prefix=`pwd` for iv-17 there was an error meassage about not being able to make C++ executables from sources.

Post Reply